# Generated by Django 2.2.7 on 2020-07-22 00:13

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Administrator',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='Creation date')),
                ('modification_date', models.DateField(auto_now=True, verbose_name='Modification date')),
                ('elimination_date', models.DateField(auto_now=True, verbose_name='Elimination date')),
                ('rut', models.CharField(max_length=10, verbose_name='Rut')),
                ('names', models.CharField(max_length=40, verbose_name='Names')),
                ('firstsurname', models.CharField(max_length=20, verbose_name='First Surname')),
                ('lastsurname', models.CharField(max_length=20, verbose_name='Last Surname')),
                ('birthdate', models.DateField(max_length=50, verbose_name='Birthdate')),
                ('address', models.CharField(max_length=100, verbose_name='Address')),
                ('phone_number', models.CharField(max_length=12, verbose_name='Phone Number')),
                ('email', models.CharField(max_length=150, verbose_name='Email')),
            ],
            options={
                'verbose_name': 'Administrator',
                'verbose_name_plural': 'Administrators',
            },
        ),
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='Creation date')),
                ('modification_date', models.DateField(auto_now=True, verbose_name='Modification date')),
                ('elimination_date', models.DateField(auto_now=True, verbose_name='Elimination date')),
                ('names', models.CharField(max_length=40, verbose_name='Names')),
                ('firstsurname', models.CharField(max_length=20, verbose_name='First Surname')),
                ('lastsurname', models.CharField(max_length=20, verbose_name='Last Surname')),
                ('address', models.CharField(max_length=100, verbose_name='Address')),
                ('phone_number', models.CharField(max_length=12, verbose_name='Phone Number')),
                ('email', models.CharField(max_length=100, verbose_name='Email')),
                ('debt_quota', models.IntegerField(default=10000, verbose_name='Debt quota')),
            ],
            options={
                'verbose_name': 'Client',
                'verbose_name_plural': 'Clients',
            },
        ),
        migrations.CreateModel(
            name='Debt',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='Creation date')),
                ('modification_date', models.DateField(auto_now=True, verbose_name='Modification date')),
                ('elimination_date', models.DateField(auto_now=True, verbose_name='Elimination date')),
                ('amount', models.IntegerField(default=0, verbose_name='Amount')),
                ('start_date', models.DateField(auto_now=True, verbose_name='Start date')),
                ('final_date', models.DateField(verbose_name='Final date')),
                ('client', models.ForeignKey(default=False, on_delete=django.db.models.deletion.CASCADE, to='base.Client')),
            ],
            options={
                'verbose_name': 'Debt',
                'verbose_name_plural': 'Debts',
            },
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='Creation date')),
                ('modification_date', models.DateField(auto_now=True, verbose_name='Modification date')),
                ('elimination_date', models.DateField(auto_now=True, verbose_name='Elimination date')),
                ('order_date', models.DateField(auto_now=True, verbose_name='Order creation date')),
                ('shipping_date', models.DateField(verbose_name='Shipping date')),
                ('reception_date', models.DateField(verbose_name='Reception date')),
                ('order_description', models.TextField(default='', verbose_name='Description')),
                ('total_price', models.IntegerField(default=1, verbose_name='Total price')),
                ('new_produtcs', models.CharField(max_length=100, verbose_name='New products')),
                ('status', models.CharField(max_length=80, verbose_name='Status')),
                ('admin', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Administrator')),
            ],
            options={
                'verbose_name': 'Order',
                'verbose_name_plural': 'Orders',
            },
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='Creation date')),
                ('modification_date', models.DateField(auto_now=True, verbose_name='Modification date')),
                ('elimination_date', models.DateField(auto_now=True, verbose_name='Elimination date')),
                ('barcode', models.CharField(max_length=100, verbose_name='barcode')),
                ('brand', models.CharField(max_length=150, verbose_name='Brand')),
                ('description', models.TextField(default='', verbose_name='Description')),
                ('purchase_price', models.IntegerField(default=1, verbose_name='Purchase price')),
                ('sale_price', models.IntegerField(default=1, verbose_name='Sale price')),
                ('expiry_date', models.DateField(verbose_name='Expiry date')),
                ('stock', models.IntegerField(default=1, verbose_name='Stock')),
                ('critical_stock', models.IntegerField(default=1, verbose_name='Critical stock')),
                ('referencial_img', models.ImageField(upload_to='product/', verbose_name='Referencial Image')),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Order')),
            ],
            options={
                'verbose_name': 'Product',
                'verbose_name_plural': 'Produtcs',
            },
        ),
        migrations.CreateModel(
            name='Product_On_Sale',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='Creation date')),
                ('modification_date', models.DateField(auto_now=True, verbose_name='Modification date')),
                ('elimination_date', models.DateField(auto_now=True, verbose_name='Elimination date')),
                ('product', models.CharField(max_length=100, verbose_name='Product')),
                ('cant_product', models.IntegerField(default=0, verbose_name='Cant product')),
                ('sale_price', models.IntegerField(default=1, verbose_name='Sale price')),
            ],
            options={
                'verbose_name': 'Product on sale',
                'verbose_name_plural': 'Products on sale',
            },
        ),
        migrations.CreateModel(
            name='Product_type',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='Creation date')),
                ('modification_date', models.DateField(auto_now=True, verbose_name='Modification date')),
                ('elimination_date', models.DateField(auto_now=True, verbose_name='Elimination date')),
                ('typeProduct', models.CharField(max_length=150, verbose_name='Type')),
                ('family', models.CharField(max_length=50, verbose_name='Family')),
            ],
            options={
                'verbose_name': 'Product type',
                'verbose_name_plural': 'Product types',
            },
        ),
        migrations.CreateModel(
            name='Provider',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='Creation date')),
                ('modification_date', models.DateField(auto_now=True, verbose_name='Modification date')),
                ('elimination_date', models.DateField(auto_now=True, verbose_name='Elimination date')),
                ('provider_name', models.CharField(max_length=150, verbose_name='Name')),
                ('email', models.CharField(max_length=150, verbose_name='Email')),
                ('phone_number', models.CharField(max_length=12, verbose_name='Phone Number')),
                ('address', models.CharField(max_length=100, verbose_name='Address')),
            ],
            options={
                'verbose_name': 'Provider',
                'verbose_name_plural': 'Providers',
            },
        ),
        migrations.CreateModel(
            name='Seller',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='Creation date')),
                ('modification_date', models.DateField(auto_now=True, verbose_name='Modification date')),
                ('elimination_date', models.DateField(auto_now=True, verbose_name='Elimination date')),
                ('rut', models.CharField(max_length=10, verbose_name='Rut')),
                ('names', models.CharField(max_length=40, verbose_name='Names')),
                ('firstsurname', models.CharField(max_length=20, verbose_name='First Surname')),
                ('lastsurname', models.CharField(max_length=20, verbose_name='Last Surname')),
                ('birthdate', models.DateField(verbose_name='Birthdate')),
                ('address', models.CharField(max_length=100, verbose_name='Address')),
                ('phone_number', models.CharField(max_length=12, verbose_name='Phone Number')),
                ('email', models.CharField(max_length=150, verbose_name='Email')),
            ],
            options={
                'verbose_name': 'Seller',
                'verbose_name_plural': 'Sellers',
                'permissions': (('administrator', 'Es Admin'), ('seller', 'Es Vendedor')),
            },
        ),
        migrations.CreateModel(
            name='total_sale',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total', models.IntegerField(default=0, verbose_name='Total')),
            ],
        ),
        migrations.CreateModel(
            name='Sale',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='Creation date')),
                ('modification_date', models.DateField(auto_now=True, verbose_name='Modification date')),
                ('elimination_date', models.DateField(auto_now=True, verbose_name='Elimination date')),
                ('date', models.DateField(auto_now=True, verbose_name='Sale date')),
                ('amount', models.IntegerField(default=0, verbose_name='Amount')),
                ('debt', models.BooleanField(default=False, verbose_name='Debt')),
                ('seller', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Seller')),
            ],
            options={
                'verbose_name': 'Sale',
                'verbose_name_plural': 'Sales',
            },
        ),
        migrations.CreateModel(
            name='Product_On_Sale_Completed',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='Creation date')),
                ('modification_date', models.DateField(auto_now=True, verbose_name='Modification date')),
                ('elimination_date', models.DateField(auto_now=True, verbose_name='Elimination date')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Product')),
                ('sale', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Sale')),
            ],
            options={
                'verbose_name': 'Product on sale completed',
                'verbose_name_plural': 'Products on sale completed',
            },
        ),
        migrations.AddField(
            model_name='product',
            name='product_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Product_type'),
        ),
        migrations.CreateModel(
            name='PerfilUsuario',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='order',
            name='provider',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Provider'),
        ),
        migrations.CreateModel(
            name='Debt_payment',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('enabled', models.BooleanField(default=True, verbose_name='Enabled')),
                ('creation_date', models.DateField(auto_now_add=True, verbose_name='Creation date')),
                ('modification_date', models.DateField(auto_now=True, verbose_name='Modification date')),
                ('elimination_date', models.DateField(auto_now=True, verbose_name='Elimination date')),
                ('amount', models.IntegerField(default=0, verbose_name='Amount')),
                ('payment_date', models.DateField(auto_now=True, verbose_name='Payment date')),
                ('debt', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='base.Debt')),
            ],
            options={
                'verbose_name': 'Debt payment',
                'verbose_name_plural': 'Debt payments',
            },
        ),
    ]
